# Fetch all listings by names

`POST /v1/mass-info`

Fetch all listings by names. The maximum names per request is 50

For csgo dopplers items 'phase' parameter available in response. Possible values: 'Emerald', 'Ruby', 'Sapphire', 'Black Pearl', 'Phase 1', 'Phase 2', 'Phase 3', 'Phase 4'

Rate limit shared with search by name endpoints and currently is 20 per minute for regular users (Disabled for partners)

Maximum number of listings per name 50 (in ascending order of price)

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `game` | query | enum | optional | Which game would you like to fetch items from |

## Request body

```json
{
  "name": [
    "AK-47 | Redline (Field-Tested)"
  ],
  "sell": 1
}
```

## Example (curl)

```bash
curl -X POST 'https://api.waxpeer.com/v1/mass-info?api=%7B%7BAPI_KEY%7D%7D&game=csgo' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": [
    "AK-47 | Redline (Field-Tested)"
  ],
  "sell": 1
}'
```

## Example response

```json
{
  "success": true,
  "data": {
    "AK-47 | Redline (Field-Tested)": {
      "listings": [
        {
          "price": 12100,
          "by": "1247ffd5-f437-4a30-9953-10eda7df6e17",
          "item_id": 27165625733,
          "name": "AK-47 | Redline (Field-Tested)",
          "steam_price": 14100,
          "classid": "3669724953",
          "image": "https://steamcommunity-a.akamaihd.net/economy/image/class/730/3669724953",
          "paint_index": 123
        }
      ],
      "orders": [
        {}
      ],
      "history": [
        {}
      ],
      "info": {}
    },
    "★ Butterfly Knife | Gamma Doppler (Factory New)": {
      "listings": [
        {
          "price": 2050000,
          "by": "1247ffd5-f437-4a30-9953-10eda7df6e17",
          "item_id": 27165625734,
          "name": "★ Butterfly Knife | Gamma Doppler (Factory New)",
          "paint_index": 572,
          "steam_price": 1709860,
          "classid": "5035516602",
          "image": "https://steamcommunity-a.akamaihd.net/economy/image/class/730/5035516602",
          "phase": "Phase 4"
        }
      ],
      "orders": [
        {}
      ],
      "history": [
        {}
      ],
      "info": {}
    }
  }
}
```

## Responses

- `200` successful operation
- `429` Too many queries. The limit for search endpoints actions to regular users is 20 requests per 60 seconds

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
